#include <bits/stdc++.h>
using namespace std;

// ovo se resenje za 10 bodova (kad su sva polja prazna)
// u ostalim slucajevima ispisuje -1, pa sta Bog da...

int main() {
    ios_base::sync_with_stdio(false);

    int w, h;
    cin >> w >> h;

    char f[w][h];
    bool hasToy = false;

    for (int y = 0; y < h; y++) {
        for (int x = 0; x < w; x++) {
            char c;
            cin >> c;

            if (c != '.')
                hasToy = true;

            f[x][y] = c;
        }
    }

    if (hasToy) {
        cout << "-1";
        return 0;
    }

    for (int y = 0; y < h; y++) {
        for (int x = 0; x < w; x++) {
            if (x == y)
                cout << "C";
            else
                cout << ".";
        }
        cout << '\n';
    }

    return 0;
}